Package org.eclipse.mat.ui.internal.diagnostics

## Interface DiagnosticsProgress

All Known Implementing Classes:
  `DiagnosticsExecutionWizardPage`

    public interface DiagnosticsProgress

Mechanism to report diagnostics progress

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `appendText​(java.lang.String text)` Report textual progress and results to the user.
`void` `clearText()` Clear any existing textual progress for the user.
`void` `handleException​(java.lang.Throwable t)` Report an exception to the user.

### Method Detail

#### appendText

    void appendText​(java.lang.String text)

Report textual progress and results to the user.

Parameters:
  `text` - The text to report

#### clearText

    void clearText()

Clear any existing textual progress for the user.

#### handleException

    void handleException​(java.lang.Throwable t)

Report an exception to the user.

Parameters:
  `t` - The exception